# Class PhosphorusPolymer

java.lang.Object
org.jmol.modelsetbio.BioPolymer
org.jmol.modelsetbio.PhosphorusPolymer

All Implemented Interfaces:
  `Structure`

Direct Known Subclasses:
  `NucleicPolymer`

public class PhosphorusPolymer extends BioPolymer

## Field Summary

### Fields inherited from class BioPolymer

`bioPolymerIndexInModel, controlPoints, cyclicFlag, hasStructure, hasWingPoints, haveParameters, invalidControl, leadAtomIndices, leadMidpoints, leadPoints, model, monomerCount, monomers, reversed, sheetSmoothing, twistedSheets, type, TYPE_AMINO, TYPE_CARBOHYDRATE, TYPE_NOBONDING, TYPE_NUCLEIC, wingVectors`

## Method Summary

### Methods inherited from class BioPolymer

`calcEtaThetaAngles, calcParameters, calcPhiPsiAngles, calcRasmolHydrogenBonds, calcSelectedMonomersCount, calculateRamachandranHelixAngle, clearStructures, findNearestAtomIndex, getControlPoint, getControlPoints, getIndex, getLeadAtomIndices, getLeadMidpoints, getPolymerPointsAndVectors, getPolymerSequenceAtoms, getProteinStructure, getRange, getRangeGroups, getSequence, getType, getWingVectors, isCyclic, isNucleic, recalculateLeadMidpointsAndWingVectors, resetHydrogenPoints, setAtomBits, setAtomBitsAndClear, setConformation, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`